[perl-Dist-Zilla] update to 4.102341

Iain Arnell iarnell at fedoraproject.org
Sun Oct 3 07:00:19 UTC 2010


commit 24382d97827f9512409edfe8e21f6fdbb2300bb9
Author: Iain Arnell <iarnell at gmail.com>
Date:   Sun Oct 3 09:00:14 2010 +0200

    update to 4.102341

 .gitignore           |    1 +
 perl-Dist-Zilla.spec |   18 ++++++++++--------
 sources              |    2 +-
 3 files changed, 12 insertions(+), 9 deletions(-)
---
diff --git a/.gitignore b/.gitignore
index ef7743e..5f71052 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,2 +1,3 @@
 Dist-Zilla-4.101900.tar.gz
 /Dist-Zilla-4.102340.tar.gz
+/Dist-Zilla-4.102341.tar.gz
diff --git a/perl-Dist-Zilla.spec b/perl-Dist-Zilla.spec
index b339d69..48f3a06 100644
--- a/perl-Dist-Zilla.spec
+++ b/perl-Dist-Zilla.spec
@@ -1,12 +1,11 @@
 Name:           perl-Dist-Zilla
-Version:        4.102340
+Version:        4.102341
 Release:        1%{?dist}
 Summary:        Distribution builder; installer not included!
 License:        GPL+ or Artistic
 Group:          Development/Libraries
 URL:            http://search.cpan.org/dist/Dist-Zilla/
 Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/Dist-Zilla-%{version}.tar.gz
-BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 BuildRequires:  perl >= 1:v5.8.5
 BuildRequires:  perl(App::Cmd) >= 0.307
@@ -14,6 +13,7 @@ BuildRequires:  perl(App::Cmd::Setup) >= 0.307
 BuildRequires:  perl(App::Cmd::Tester) >= 0.306
 BuildRequires:  perl(Archive::Tar)
 BuildRequires:  perl(autobox) >= 2.53
+BuildRequires:  perl(Config::INI::Reader)
 BuildRequires:  perl(Config::MVP::Assembler)
 BuildRequires:  perl(Config::MVP::Assembler::WithBundles)
 BuildRequires:  perl(Config::MVP::Reader) >= 2.101540
@@ -39,7 +39,7 @@ BuildRequires:  perl(JSON) >= 2
 BuildRequires:  perl(List::MoreUtils)
 BuildRequires:  perl(Log::Dispatchouli) >= 1.102220
 BuildRequires:  perl(Moose) >= 0.92
-BuildRequires:  perl(Moose::Autobox) >= 0.09
+BuildRequires:  perl(Moose::Autobox) >= 0.10
 BuildRequires:  perl(Moose::Role)
 BuildRequires:  perl(Moose::Util::TypeConstraints)
 BuildRequires:  perl(MooseX::LazyRequire)
@@ -85,6 +85,8 @@ Requires:       perl(Perl::Version)
 Requires:       perl(Software::LicenseUtils)
 Requires:       perl(YAML::Tiny)
 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
+# https://rt.cpan.org/Ticket/Display.html?id=61860
+Requires:       perl(Moose::Autobox) >= 0.10
 
 %{?perl_default_filter}
 
@@ -105,8 +107,6 @@ to make much more ludicrous demands in terms of prerequisites.
 make %{?_smp_mflags}
 
 %install
-rm -rf $RPM_BUILD_ROOT
-
 make pure_install DESTDIR=$RPM_BUILD_ROOT
 
 find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
@@ -117,9 +117,6 @@ find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
 %check
 make test
 
-%clean
-rm -rf $RPM_BUILD_ROOT
-
 %files
 %defattr(-,root,root,-)
 %doc Changes corpus dist.ini LICENSE META.json misc README todo
@@ -129,6 +126,11 @@ rm -rf $RPM_BUILD_ROOT
 %{_mandir}/man3/*
 
 %changelog
+* Sun Oct 03 2010 Iain Arnell <iarnell at gmail.com> 4.102341-1
+- update to latest upstream
+- clean up spec for modern rpmbuild
+- requires Moose::Autobox >= 0.10
+
 * Tue Aug 24 2010 Iain Arnell <iarnell at gmail.com> 4.102340-1
 - update to latest upstream
 
diff --git a/sources b/sources
index 349a6fe..64fa3fd 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-de1773406de900f83d3a932c0d11c1b5  Dist-Zilla-4.102340.tar.gz
+a86770926a41f6c640ef48d5b99d4fcd  Dist-Zilla-4.102341.tar.gz


More information about the perl-devel mailing list